net.minecraftforge.event.terraingen

## Class PopulateChunkEvent.Post

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.terraingen.ChunkProviderEvent
    - - net.minecraftforge.event.terraingen.PopulateChunkEvent
      - - net.minecraftforge.event.terraingen.PopulateChunkEvent.Post

- Enclosing class:
    PopulateChunkEvent

      public static class PopulateChunkEvent.Post
      extends PopulateChunkEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.PopulateChunkEvent

      `PopulateChunkEvent.Populate, PopulateChunkEvent.Post, PopulateChunkEvent.Pre`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `ChunkProviderEvent.InitNoiseField, ChunkProviderEvent.ReplaceBiomeBlocks`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    - ### Fields inherited from class net.minecraftforge.event.terraingen.PopulateChunkEvent

      `chunkX, chunkZ, hasVillageGenerated, rand, world`

    - ### Fields inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `chunkProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopulateChunkEvent.Post(IChunkProvider chunkProvider, World world, java.util.Random rand, int chunkX, int chunkZ, boolean hasVillageGenerated)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopulateChunkEvent.Post

          public PopulateChunkEvent.Post(IChunkProvider chunkProvider,
                                 World world,
                                 java.util.Random rand,
                                 int chunkX,
                                 int chunkZ,
                                 boolean hasVillageGenerated)